summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSergey Popov <pinkbyte@gentoo.org>2017-04-14 14:09:15 +0300
committerSergey Popov <pinkbyte@gentoo.org>2017-04-14 14:09:15 +0300
commitc893801e171932299e41b6bfc83d9fb179a6ce15 (patch)
treec0b10fd706380e62df01e7f26c2dc65145be1db6 /net-dialup
parentnet-dialup/speedtouch-usb: update ebuild - new EAPI, replace deprecated built... (diff)
downloadgentoo-c893801e171932299e41b6bfc83d9fb179a6ce15.tar.gz
gentoo-c893801e171932299e41b6bfc83d9fb179a6ce15.tar.bz2
gentoo-c893801e171932299e41b6bfc83d9fb179a6ce15.zip
net-dialup/ueagle-atm: update ebuild - new EAPI, replace deprecated built_with_use with has_version
Package-Manager: Portage-2.3.5, Repoman-2.3.1
Diffstat (limited to 'net-dialup')
-rw-r--r--net-dialup/ueagle-atm/ueagle-atm-1.1-r3.ebuild30
1 files changed, 6 insertions, 24 deletions
diff --git a/net-dialup/ueagle-atm/ueagle-atm-1.1-r3.ebuild b/net-dialup/ueagle-atm/ueagle-atm-1.1-r3.ebuild
index bf986b51ab3..6143b28417a 100644
--- a/net-dialup/ueagle-atm/ueagle-atm-1.1-r3.ebuild
+++ b/net-dialup/ueagle-atm/ueagle-atm-1.1-r3.ebuild
@@ -1,7 +1,7 @@
-# Copyright 1999-2012 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-EAPI="2"
+EAPI=6
inherit eutils linux-info
@@ -12,7 +12,6 @@ SRC_URI="http://eagle-usb.org/ueagle-atm/non-free/ueagle-data-src-${PV}.tar.gz"
LICENSE="BSD GPL-2"
SLOT="0"
KEYWORDS="~amd64 x86"
-IUSE=""
DEPEND=""
RDEPEND="net-dialup/ppp
@@ -20,23 +19,6 @@ RDEPEND="net-dialup/ppp
S="${WORKDIR}/ueagle-data-src-${PV}"
-pkg_setup() {
- linux-info_pkg_setup
-
- if kernel_is lt 2 6 16 ; then
- eerror "The kernel-space driver exists only in kernels >= 2.6.16."
- eerror "Please emerge net-dialup/eagle-usb instead or upgrade the kernel."
- die "Unsupported kernel version"
- fi
-
- if ! has_version '>=sys-apps/baselayout-1.12.0' ; then
- ewarn "The best way of using this driver is through the PPP net module of the"
- ewarn " >=sys-apps/baselayout-1.12.0"
- ewarn "which is also the only documented mode of using ${PN} driver."
- ewarn "Please install baselayout-1.12.0 or else you will be on your own!"
- fi
-}
-
src_compile() {
emake generate
}
@@ -44,10 +26,10 @@ src_compile() {
src_install() {
# Copy to the firmware directory
insinto /lib/firmware/ueagle-atm
- doins build/* || die "doins firmware failed"
+ doins build/*
# Documentation necessary to complete the setup
- dodoc "${FILESDIR}/README" || die "dodoc failed"
+ dodoc "${FILESDIR}/README"
}
pkg_postinst() {
@@ -61,13 +43,13 @@ pkg_postinst() {
echo
# Check user-space for PPPoA support
- if ! built_with_use net-dialup/ppp atm ; then
+ if ! has_version net-dialup/ppp[atm] ; then
ewarn "Run the following command if connecting via PPPoA protocol:"
ewarn " euse -E atm && emerge net-dialup/ppp"
echo
fi
# Check user-space for PPPoE support
- if ! has_version >=net-dialup/linux-atm-2.5.0 ; then
+ if ! has_version net-dialup/linux-atm ; then
ewarn "Run the following command if connecting via PPPoE protocol:"
ewarn " emerge net-dialup/linux-atm"
echo